
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    height: 100%;
}

body {
    font-family: Arial, sans-serif;
    background: #ffffff;
    color: #162360;
    display: flex;
    flex-direction: column;
}

.container {
    width: 90%;
    max-width: 1200px;
    margin: auto;
}

header {
    border-bottom: 3px solid #162360;
    background: #f6f6f6;
}
.menu-social{
display:flex;
align-items:center;
gap:30px;
}

.facebook-link{
margin-left:40px;
}
.nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 0;
}

nav ul {
list-style: none;
display: flex;
gap: 18px;
}

nav a {
    text-decoration: none;
    color: #162360;
    font-weight: bold;
}

nav a:hover,
nav a.active {
    color: #162360;
}

.facebook-link img{
width:30px;
height:auto;;
transition:0.3s;
}

.facebook-link img:hover{
transform:scale(1.1);
}

.logo img {
    height: 75px;
}

.hero {
    background-image: url('images/Background-pics/Tarcze.JPG');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    text-align: center;
    color: #ffffff;

    padding: 140px 20px;
    transition: background-image 1s ease-in-out;

}
.hero {
    transition: background-image 1s ease-in-out;
}
.hero h1 {
    font-size: 52px;
    letter-spacing: 2px;
    margin-bottom: 20px;
}

.hero p {
    font-size: 18px;
    max-width: 650px;
    margin: auto;
    line-height: 1.6;
}

.hero h1,
.hero p {
    text-shadow: 2px 2px 8px rgba(43, 43, 43, 0.6); /* x-offset, y-offset, blur, kolor */
}

.btn {
    display: inline-block;
    margin-top: 30px;
    padding: 14px 32px;
    background: #ffffff;
    color: #162360;
    text-decoration: none;
    font-weight: bold;
    border-radius: 8px;
    transition: all 0.3s ease;
    box-shadow: 0 6px 15px rgba(0,0,0,0.15);
}

.btn:hover {
    background: #162360;
    color: #ffffff;
    transform: translateY(-3px);
    box-shadow: 0 10px 20px rgba(0,0,0,0.25);
}

.section {
    padding: 60px 20px;
    text-align: center;
}

.box-wrapper {
    display: flex;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
}

.boxes{
    display: flex;
    justify-content: center;
    gap: 30px;
    margin-top: 10px;
    flex-wrap: wrap;
}

.box {
    width: 300px;
    padding: 30px;
    background: #ffffff;
    border-radius: 8px;
    box-shadow: 0 8px 25px rgba(0,0,0,0.08);
    transition: 0.3s;
    text-align: center;
}

.box h3 {
    margin-bottom: 10px;
    font-size: 20px;
}

.box p {
    font-size: 15px;
    color: #555;
}

.box:hover {
    transform: translateY(-8px);
}

.about {
    padding: 70px 20px;
    text-align: center;
}

.about h2 {
    font-size: 32px;
    margin-bottom: 20px;
}

.about p {
    max-width: 800px;
    margin: auto;
    font-size: 17px;
    line-height: 1.6;
}

.o-nas {
    padding: 60px 20px;
    background: linear-gradient(60deg, #fafafa, #ffffff);
}
.box:hover{
    transform: translateY(-5px);
}
.producer-grid {
    display: flex;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
    margin-top: 40px;
}

.producer-grid2 {
    display: flex;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
    margin-top: 40px;
} 

.producer-grid3 {
    display: flex;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
    margin-top: 40px;
} 

.producer-card img {
    width: 90%;
    max-height: 80px;
    height: 90%;
    object-fit: contain;
    display: block;
    margin: 0 auto;
    transition: transform 0.4s, box-shadow 0.4s;

}

.producer-card img:hover {
    transform: scale(1.15);
        filter: drop-shadow(0 0 1px rgba(82, 88, 161, 0.9));
}

.producer-card {
    width: 200px;
    padding: 30px;
    background: #f1f1f1;
    text-decoration: none;
    color: #162360;
    font-weight: bold;
    border-top: 4px solid #162360;
    transition: 0.3s;
}

.producer-card:hover {
    background: #162360;
    color: #ffffff;
}


.about-us {
    padding: 80px 20px;
    background: linear-gradient(160deg, #ffffff, #e9e9e9); /* subtelny gradient */
    color: #162360;
    font-family: 'Arial', sans-serif;
}

.about-us h1 {
    font-size: 42px;
    font-weight: 700;
    text-align: center; /* nie środkowany */
    margin-bottom: 20px;
    color: #162360;
    text-shadow: 1px 1px 3px rgba(0,0,0,0.1);
}

.company-intro p,
.company-goal p,
.company-timeline p {
    font-size: 17px;
    line-height: 1.8;
    text-align: left;
    max-width: 900px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    margin-bottom: 15px;
}

.company-goal h2 {
    font-size: 26px;
    margin-bottom: 12px;
    text-align: center;
    color: #162360;
}

.company-timeline strong {
    color: #162360;
    font-weight: bold;
    margin-right: 4px;
}

@keyframes fadeInUp {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@media (max-width: 768px) {
    .about-us {
        padding: 50px 15px;
    }

    .about-us h1 {
        font-size: 32px;
    }

    .company-goal h2 {
        font-size: 22px;
    }

    .timeline-item h3 {
        font-size: 18px;
    }

    .timeline-item p {
        font-size: 15px;
    }
}
footer {
    background: linear-gradient(90deg, #020b32, #162360);
    text-align: center;
    padding: 20px 0;
    color: #ffffff;
    font-size: 14px;
}

.FormContact{
    background: linear-gradient(180deg, #ffffff, #f0f0f0);
}
.contact-wrapper {
    padding: 70px 20px;
    background: linear-gradient(135deg, #f6f6f6, #ffffff); /* subtelny gradient */
    border-radius: 12px;
    box-shadow: 0 10px 30px rgba(0,0,0,0.05);
}
.contact-box {
    display: flex;
    gap: 30px;
    align-items: flex-start;
    justify-content: space-between;
}

.contact-info {

    padding: 30px;
    border-radius: 12px;

    flex: 1;
}

.contact-hours {

    padding: 25px;
    border-radius: 12px;
    margin-top: 20px;
}

.contact-hours p:hover {
    color: #020b32;
    font-weight: bold;
}
.contact-info,
.contact-map,
.contact-hours{
    flex: 1;
    font-size: 15px;
    padding: 10px;

}

.contact-map iframe {
    border-radius: 12px;
    box-shadow: 0 10px 25px rgba(113, 113, 113, 0.15);
}
.contact-form {
    background: #ffffff;
    padding: 50px;
    border-radius: 12px;
    box-shadow: 0 10px 25px rgba(0,0,0,0.1);
    text-align: center;
}

.contact-form h2 {
    margin-bottom: 25px;
    color: #020b32;
}

.contact-form form {
    display: flex;
    flex-direction: column;
    gap: 15px;
    align-items: center;
}

.contact-form input,
.contact-form textarea {
    padding: 15px;
    border: 1px solid #ccc;
    border-radius: 8px;
    font-size: 15px;
    width: 100%;
    max-width: 700px;
    box-sizing: border-box;
    margin-bottom: 15px;
    text-align: center;
}


.contact-form textarea {
    min-height: 120px;
    resize: vertical;
}

.contact-form button {
    padding: 15px 35px;
    background: #020b32;
    color: #ffffff;
    border: none;
    border-radius: 8px;
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;
}

.contact-form input,
.contact-form textarea,
.contact-form button {
    width: 100%; 
    max-width: 800px;
    box-sizing: border-box;
}
.contact-form button:hover {
    background: #050a50;
    transform: translateY(-2px);
}

@media (max-width: 900px) {
    .contact-box {
        flex-direction: column;
        gap: 20px;
    }

    .contact-form {
        padding: 30px 20px;
    }

    .contact-map iframe {
        height: 300px;
    }
}

@media (max-width: 600px) {
    .contact-map iframe {
        height: 250px;
    }

    nav ul {
        flex-direction: column;
        gap: 15px;
    }

    .hero h1 {
        font-size: 32px;
    }
}